/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.remoting.samples.complex2.client;

import org.jboss.remoting.samples.complex.client.GenricProcessorClient;
import org.jboss.remoting.samples.complex2.OrderProcessor;

/**
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public class OrderProcessorClient extends GenricProcessorClient
{
   private static OrderProcessor orderProcessorProxy = null;

   public static OrderProcessor getOrderProcessor() throws Throwable
   {
      if(orderProcessorProxy == null)
      {
         orderProcessorProxy = (OrderProcessor) getProcessor(OrderProcessor.class);
      }
      return orderProcessorProxy;
   }

}