/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.remoting.samples.complex.client;

import org.jboss.remoting.samples.complex.CustomerProcessor;

/**
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public class CustomerProcessorClient extends GenricProcessorClient
{
   private static CustomerProcessor customerProcessorProxy = null;

   public static CustomerProcessor getCustomerProcessor() throws Throwable
   {
      if(customerProcessorProxy == null)
      {
         customerProcessorProxy = (CustomerProcessor) getProcessor(CustomerProcessor.class);
      }
      return customerProcessorProxy;
   }

}